# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TeuchosKokkosComm clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
if (TeuchosKokkosComm_CONFIG_INCLUDED)
  return()
endif()
set(TeuchosKokkosComm_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
if (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  get_filename_component(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  set(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
endif()


## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TeuchosKokkosComm build
## ---------------------------------------------------------------------------

set(TeuchosKokkosComm_CXX_COMPILER "/opt/ohpc/pub/mpi/mpich-ofi-gnu12-ohpc/3.4.3/bin/mpicxx")

set(TeuchosKokkosComm_C_COMPILER "/opt/ohpc/pub/mpi/mpich-ofi-gnu12-ohpc/3.4.3/bin/mpicc")

set(TeuchosKokkosComm_Fortran_COMPILER "/opt/ohpc/pub/mpi/mpich-ofi-gnu12-ohpc/3.4.3/bin/mpif90")
# Deprecated!
set(TeuchosKokkosComm_FORTRAN_COMPILER "/opt/ohpc/pub/mpi/mpich-ofi-gnu12-ohpc/3.4.3/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TeuchosKokkosComm build
## ---------------------------------------------------------------------------

## Give the build type
set(TeuchosKokkosComm_CMAKE_BUILD_TYPE "RELEASE")

## Set compiler flags, including those determined by build type
set(TeuchosKokkosComm_CXX_FLAGS [[-O3 -g -pipe -Wall -fexceptions -fstack-protector-strong -grecord-gcc-switches -mtune=generic -m64 -fopenmp  -O3 -DNDEBUG]])

set(TeuchosKokkosComm_C_FLAGS [[  -O3 -g -pipe -Wall -fexceptions -fstack-protector-strong -grecord-gcc-switches -mtune=generic -m64 -fopenmp -O3 -DNDEBUG]])

set(TeuchosKokkosComm_Fortran_FLAGS [[ -O3]])
# Deprecated
set(TeuchosKokkosComm_FORTRAN_FLAGS [[ -O3]])

## Extra link flags (e.g., specification of fortran libraries)
set(TeuchosKokkosComm_EXTRA_LD_FLAGS [[-lgfortran]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TeuchosKokkosComm_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/opt/ohpc/pub/libs/gnu12/mpich/trilinos/13.4.0//opt/ohpc/pub/libs/gnu12/mpich/trilinos/13.4.0/lib")
set(TeuchosKokkosComm_BUILD_SHARED_LIBS "ON")

set(TeuchosKokkosComm_LINKER /usr/bin/ld)
set(TeuchosKokkosComm_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TeuchosKokkosComm_INSTALL_DIR "/opt/ohpc/pub/libs/gnu12/mpich/trilinos/13.4.0")

## List of package include dirs
set(TeuchosKokkosComm_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../../../../../../../../../include")

## List of package library paths
set(TeuchosKokkosComm_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../../../../../../../../..//opt/ohpc/pub/libs/gnu12/mpich/trilinos/13.4.0/lib")

## List of package libraries
set(TeuchosKokkosComm_LIBRARIES "teuchoskokkoscomm;teuchoskokkoscompat;teuchoscomm;teuchosparameterlist;teuchosparser;teuchoscore;kokkoscore")

## Specification of directories for TPL headers
set(TeuchosKokkosComm_TPL_INCLUDE_DIRS "/opt/ohpc/pub/libs/gnu12/mpich/boost/1.80.0/include")

## Specification of directories for TPL libraries
set(TeuchosKokkosComm_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(TeuchosKokkosComm_TPL_LIBRARIES "/usr/lib64/libdl.so")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TeuchosKokkosComm_MPI_LIBRARIES "")
set(TeuchosKokkosComm_MPI_LIBRARY_DIRS "")
set(TeuchosKokkosComm_MPI_INCLUDE_DIRS "")
set(TeuchosKokkosComm_MPI_EXEC "/opt/ohpc/pub/mpi/mpich-ofi-gnu12-ohpc/3.4.3/bin/mpiexec")
set(TeuchosKokkosComm_MPI_EXEC_MAX_NUMPROCS "4")
set(TeuchosKokkosComm_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(TeuchosKokkosComm_PACKAGE_LIST "TeuchosKokkosComm;TeuchosKokkosCompat;TeuchosComm;TeuchosParameterList;TeuchosParser;TeuchosCore;KokkosCore")

## The TPLs enabled for this project
set(TeuchosKokkosComm_TPL_LIST "DLlib;Boost;MPI;Pthread")


# Include configuration of dependent packages
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosCompat/TeuchosKokkosCompatConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParameterList/TeuchosParameterListConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParser/TeuchosParserConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../KokkosCore/KokkosCoreConfig.cmake")

# Import TeuchosKokkosComm targets
include("${CMAKE_CURRENT_LIST_DIR}/TeuchosKokkosCommTargets.cmake")
